<?php

namespace App\Enums;

enum TypeLesson: string
{
    case Homework = "Домашняя работа";
    case Classwork = "Работа в классе";
    case TestClass = "Самостоятельная работа";
    case ExamClass = "Контрольная работа";

    public static function getShortType($type)
    {

        return match ($type) {
            self::Homework->value  => "д/р",
            self::Classwork->value  => "кл/р",
            self::TestClass->value  => "с/р",
            self::ExamClass->value  => "к/р",
            default => "-",
        };
    }
}
