<?php

namespace App\Services;

use App\Models\Student;
use App\Models\Subject;
use Illuminate\Support\Facades\Auth;

class SubjectService
{
    public function getSubjects()
    {
        if(Auth::user()->userable_type == Student::class) {
            return Subject::whereIn('id', Auth::user()->userable->grade->subjects->pluck('id'))
                ->filter()
                ->paginate(5)
                ->withQueryString();
        }

        return Subject::filter()->paginate(5)->withQueryString();
    }
}
