@extends('layouts.application')

@section('content')
    <div class="container col-md-6">
        <div class="row justify-content-center">
            <div class="card">
                <div class="card-header">{{ $lesson->type }}</div>
                <div class="card-body">
                    <div class="mb-3">
                        <h5><strong>Тема: </strong>{{ $lesson->name }}</h5>
                    </div>
                    <div class="mb-3">
                        <h5><strong>Предмет: </strong>{{ $lesson->subject->name }}</h5>
                    </div>
                    <div class="mb-3">
                        <h5><strong>Дата: </strong>{{ $lesson->lesson_date }}</h5>
                    </div>
                    <div class="mb-3">
                        <h5><strong>Описание: </strong>{{ $lesson->description }}</h5>
                    </div>
                </div>
                 @can('update', $lesson)
                    <div class="card-footer">
                        <a href="{{ route('lessons.scores.show', $lesson) }}" class="btn btn-success">Оценки</a>
                        <a href="{{ route('grades.lessons.edit', [$grade, $lesson]) }}" class="btn btn-primary">Редактировать</a>
                    </div>
                @endcan
            </div>
        </div>
    </div>
@endsection


