@extends('layouts.application')

@section('content')
    <div class="container col-md-6">
        <div class="row justify-content-center">
            <div class="card mt-4">
                <div class="card-header"><strong>Средняя оценка - {{ $avgScore }}</strong></div>
            </div>
            @if(count($lessons))
                @foreach($lessons as $lesson)
                    <a href="{{ route('grades.lessons.show', [$lesson->grade_id, $lesson]) }}" class="text-decoration-none">
                        <div class="card mt-4">
                            <div class="card-header"><strong>{{ $lesson->subject->name }} - {{ $lesson->pivot->score }}</strong></div>
                            <div class="card-header">{{ $lesson->type }}</div>
                            <div class="card-body">
                                {{ $lesson->name }}
                            </div>
                        </div>
                    </a>
                @endforeach
            @endif
        </div>
    </div>
@endsection
