<?php

namespace App\Enums;

enum ScoreEnum: string
{
    case WithoutScore = 'Без оценки';
    case Two = '2';
    case Three = '3';
    case Four = '4';
    case Five = '5';
    case Absent = 'Н';
    case Sick = 'Б';

    public static function getNumScores(): array
    {
        return [self::Two, self::Three, self::Four, self::Five];
    }

    public static function getDebtScores(): array
    {
        return [self::Absent, self::Sick];
    }
}
