<div class="container col-md-6">
    <div class="row justify-content-center">
        <div class="card mt-4">
            <div class="card-header">
                {{ $subject->name }}
            </div>
            <div class="card-body">
                <form action="{{ $route }}" method="POST">
                    @csrf
                    @method($method)
                    <div class="mb-3">
                        <label for="grade_id" class="form-label">Класс:</label>
                        <select id="grade_id" name="grade_id" class="form-select" required>
                            <option value="">Выберите класс</option>
                            @foreach($grades as $grade)
                                <option value="{{ $grade->id }}" {{ isset($updateGrade) && $updateGrade->id == $grade->id ? 'selected' : '' }}>
                                    {{ $grade->name }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                    <button type="submit" class="btn btn-success">Подтвердить</button>
                </form>
            </div>
        </div>
    </div>
</div>
